DefaultDrawLinkNodalVertex
Keywords: uk.ac.ic.doc.automed.editor.DefaultDrawLinkNodalVertex class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Class DefaultDrawLinkNodalVertex

    java.lang.Object
      uk.ac.ic.doc.automed.editor.DrawVertex
          uk.ac.ic.doc.automed.editor.DefaultDrawLinkNodalVertex

All Implemented Interfaces:
  Drawable, DrawableVertex

Direct Known Subclasses:
  DrawEERAttributeVertex

    public class DefaultDrawLinkNodalVertex

extends DrawVertex

Field Summary
`protected int` | `cx`
`protected int` | `cy`
`protected int` | `tx`
`protected int` | `ty`

Fields inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`bounds, dashedStroke, dependent, ep, fm, p, standardStroke, symbolHeight, symbolWidth, text, textHeight, textWidth, thickness, thickStroke, thinStroke, xInset, yInset, zeroOffset`

Constructor Summary
`DefaultDrawLinkNodalVertex(EditorPanel ep, Positionable p, Positionable[] dependent)`

Method Summary
`java.awt.Rectangle` | `getBounds()` Describe the rectangular area within the `EditorPanel` where this `Drawable` vertex is to be painted.
`java.awt.Point` | `getCentre()` Describe where the centre of the `Drawable` visually appears to a viewer.
`java.awt.Point` | `getCentreOffset()` Implements the `Drawable`
`void` | `paintSymbol(java.awt.Graphics2D g)` Draw a circle to represent the attribute vertex
`void` | `paintText(java.awt.Graphics2D g)`

Methods inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`getConnectionPoint, getConnectionPointMovableCentre, getConnectsTo, getPositionable, intersectLine, paintComponent, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cx

    protected int cx

### cy

    protected int cy

### tx

    protected int tx

### ty

    protected int ty

Constructor Detail

### DefaultDrawLinkNodalVertex

    public DefaultDrawLinkNodalVertex(EditorPanel ep,
                                      Positionable p,
                                      Positionable[] dependent)

Method Detail

### getBounds

    public java.awt.Rectangle getBounds()

  Description copied from interface: `DrawableVertex`
  Describe the rectangular area within the `EditorPanel` where this `Drawable` vertex is to be painted.

  Specified by:
    `getBounds` in interface `DrawableVertex`
  Overrides:
    `getBounds` in class `DrawVertex`

### getCentreOffset

    public java.awt.Point getCentreOffset()

  Description copied from class: `DrawVertex`
  Implements the `Drawable`

  Specified by:
    `getCentreOffset` in interface `DrawableVertex`
  Overrides:
    `getCentreOffset` in class `DrawVertex`
  Returns:
    A point that is an offset within `DrawVertex.getBounds()`, where the graphical centre of this `Drawable` lies

### getCentre

    public java.awt.Point getCentre()

  Description copied from class: `DrawVertex`
  Describe where the centre of the `Drawable` visually appears to a viewer.

  Specified by:
    `getCentre` in interface `DrawableVertex`
  Overrides:
    `getCentre` in class `DrawVertex`
  Returns:
    A point that is the absolute coordinate of the , graphical centre of this `Drawable`.

### paintSymbol

    public void paintSymbol(java.awt.Graphics2D g)

  Draw a circle to represent the attribute vertex

  Overrides:
    `paintSymbol` in class `DrawVertex`

### paintText

    public void paintText(java.awt.Graphics2D g)

  Overrides:
    `paintText` in class `DrawVertex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD